#include <main.h>
#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/eeprom.h>
#include <lcd.h>
#include <util/delay.h> 
#include <stdlib.h>
#include <string.h>
#include <dds.c>
#include <inttypes.h>
#include <stdio.h>


void LCD_big(void)
{
	int i = 0;
	char eins[32]={	1,3,7,0xF,1,1,1,1,
					0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,
					1,1,1,1,1,1,0xf,0xf,
					0x10,0x10,0x10,0x10,0x10,0x10,0x1e,0x1e};
	char zwei[32]={	7,0xf,0x1c,0x18,0,0,0,0,
					0x1c,0x1e,7,3,3,3,3,7,
					0,0,1,3,7,0xe,0x1f,
					0x1f,0xe,0x1c,0x18,0x10,0,0,0x1f,0x1f};
	char drei[32]={	0x1f,0x1f,0,0,0,1,3,7,
					0x1f,0x1f,0xe,0x1c,0x18,0x10,0,0x1c,
					0,0,0,0,0x18,0x1c,0xf,7,
					0xe,7,3,3,3,7,0x1e,0x1c};
	char vier[32]={ 0,0,1,3,7,0xe,0x1c,0x18,
					0xc,0x1c,0x1c,0x1c,0xc,0xc,0xc,0xc,
					0x18,0x1f,0x1f,0,0,0,0,0,
					0xc,0x1f,0x1f,0xc,0xc,0xc,0xc,0xc};
	char fuenf[32]={0x1f,0x1f,0x18,0x18,0x18,0x1f,0x1f,0,
					0x1f,0x1f,0,0,0,0x1c,0x1e,7,
					0,0,0,0,0x18,0x1c,0xf,7,
					3,3,3,3,3,3,0x1e,0x1c};

	for (i = 0; i <= 32; i++)
	{
		lcd_command(0x40 + i);
		lcd_data(eins[i]);
	}

	lcd_home();
	lcd_putc(0x00);
	lcd_putc(0x01);
	lcd_gotoxy(0,1);
	lcd_putc(0x02);
	lcd_putc(0x03);

	_delay_ms(2000);

	for (i = 0; i <= 32; i++) 
	{
		lcd_command(0x40 + i);
		lcd_data(zwei[i]);
	}
		
	lcd_gotoxy(2,0);
	lcd_putc(0x00);
	lcd_putc(0x01);
	lcd_gotoxy(2,1);
	lcd_putc(0x02);
	lcd_putc(0x03);

	_delay_ms(2000);

	for (i = 0; i <= 32; i++)
	{
		lcd_command(0x40 + i);
		lcd_data(drei[i]);
	}
	lcd_gotoxy(4,0);
	lcd_putc(0x00);
	lcd_putc(0x01);
	lcd_gotoxy(4,1);
	lcd_putc(0x02);
	lcd_putc(0x03);

	_delay_ms(2000);
	
	for (i = 0; i <= 32; i++)
	{
		lcd_command(0x40 + i);
		lcd_data(vier[i]);
	}
	for (i = 0; i <= 32; i++)
	{
		lcd_command(0x60 + i);
		lcd_data(fuenf[i]);
	}
	lcd_gotoxy(6,0);
	lcd_putc(0x04);
	lcd_putc(0x05);
	lcd_gotoxy(6,1);
	lcd_putc(0x06);
	lcd_putc(0x07);

	_delay_ms(2000);

	for (i = 0; i <= 32; i++)
	{
		lcd_command(0x40 + i);
		lcd_data(vier[i]);
	}
}
